# studio::Renderer_Dragbox Class Reference

`#include <renderer_dragbox.h>`

Inheritance diagram for studio::Renderer_Dragbox:

List of all members.

## Public Member Functions

| ~Renderer_Dragbox ()
void | render_vfunc (const Glib::RefPtr< Gdk::Drawable > &drawable, const Gdk::Rectangle &expose_area)
const synfig::Point & | get_drag_point () const
const synfig::Point & | get_curr_point () const

## Protected Member Functions

bool | get_enabled_vfunc () const

## Constructor & Destructor Documentation

Renderer_Dragbox::~Renderer_Dragbox | ( |  | ) |

## Member Function Documentation

void Renderer_Dragbox::render_vfunc | ( | const Glib::RefPtr< Gdk::Drawable > & | drawable,
|  | const Gdk::Rectangle & | expose_area |
| ) |  |  | `[virtual]`

Reimplemented from studio::WorkAreaRenderer.

References synfigapp::Action::create(), get_curr_point(), get_drag_point(), studio::WorkAreaRenderer::get_ph(), studio::WorkAreaRenderer::get_pw(), and studio::WorkAreaRenderer::get_work_area().

const synfig::Point & Renderer_Dragbox::get_drag_point | ( |  | ) | const

References studio::WorkArea::get_drag_point(), and studio::WorkAreaRenderer::get_work_area().

Referenced by render_vfunc().

const synfig::Point & Renderer_Dragbox::get_curr_point | ( |  | ) | const

References studio::WorkArea::get_cursor_pos(), and studio::WorkAreaRenderer::get_work_area().

Referenced by render_vfunc().

bool Renderer_Dragbox::get_enabled_vfunc | ( |  | ) | const`[protected, virtual]`

Reimplemented from studio::WorkAreaRenderer.

References studio::WorkArea::DRAG_BOX, studio::WorkArea::get_dragging_mode(), and studio::WorkAreaRenderer::get_work_area().

The documentation for this class was generated from the following files:

- renderer_dragbox.h
- renderer_dragbox.cpp